Commit b3713b78 authored by Tammo Jan Dijkema's avatar Tammo Jan Dijkema
Browse files

Freeze versions in Dockerfile

Apparently libwebsockets 3.0.0 does not work; pulling latest versions in
Dockerfile is a bad practice. I'll make an issue about the breaking
libwebsockets.
parent e54bd81b
......@@ -16,10 +16,10 @@ RUN apt-get -y update
RUN apt-get -y install vim autoconf make gcc libtool-bin libglib2.0-dev libbison-dev flex git cmake build-essential libssl-dev screen telnet libmagic-dev wget
RUN cd /root && git clone git://git.code.sf.net/p/libnova/libnova libnova-libnova
RUN cd /root/libnova-libnova && libtoolize && autoreconf -i && ./configure && make install
RUN cd /root/libnova-libnova && git checkout 655bcd1 && libtoolize && autoreconf -i && ./configure && make install
RUN cd /root && git clone https://github.com/warmcat/libwebsockets.git
RUN cd /root/libwebsockets && mkdir build && cd build && cmake .. && make && make install
RUN cd /root/libwebsockets && git checkout v2.4.2 && mkdir build && cd build && cmake .. && make && make install
RUN cd /root && git clone https://gitlab.camras.nl/dijkema/dt_ctrl
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment